#ifndef MINDICATOR_LIGHTS_HPP_
#define MINDICATOR_LIGHTS_HPP_

#include <Machine/Machine.hpp>
#include <Machine/IDataMachine.hpp>

/**
 * @brief The indicator lights machine.
 */
class MIndicatorLights : public Machine, public IDataMachine
{
public:
    MIndicatorLights(LocalWorld &world, glm::ivec3 pos);

    virtual void serializeState(std::vector<uint8_t> &outBytes) override;
    virtual void deserializeState(const uint8_t *data, size_t size) override;
    virtual void update() override;
    
    virtual Side getDataInputSide() override;
};

#endif